<?php

namespace SmartData;

require_once('../API.php');

abstract class Copy
{
    private static $FROM_DOMAIN   = 'smartsolarbuilding';
    private static $FROM_USERNAME = 'smartsolarbuilding';
    private static $FROM_PASSWORD = 'smartsolarbuilding@12a06-fs';

    private static $TO_DOMAIN     = 'smartsolarbuilding_demo';
    private static $TO_USERNAME   = 'demo';
    private static $TO_PASSWORD   = 'zn4Rtd3nO';

    private static $INTERNAL      = true;

    public static function copy($series) {
        
        $from_domain   = Copy::$FROM_DOMAIN;
        $from_username = Copy::$FROM_USERNAME;
        $from_password = Copy::$FROM_PASSWORD;

        $to_domain     = Copy::$TO_DOMAIN;
        $to_username   = Copy::$TO_USERNAME;
        $to_password   = Copy::$TO_PASSWORD;

        $from_db = new Backend($from_domain, $from_username, $from_password, Copy::$INTERNAL);
        $response = $from_db->query($series);

        //print_r($response);        
        //$response = json_encode($return);

        $to_db = new Backend($to_domain, $to_username, $to_password, Copy::$INTERNAL);

        if(!$to_db->attach($series))
            die ("Attach error");

        foreach ($response['series'] as $key => $value) {
            $smartdata = new StaticSmartData (
                    $series->unit,
                    $value['value'],      // value
                    $value['error'],
                    $value['confidence'],
                    $value['x'],
                    $value['y'],
                    $value['z'],
                    $value['timestamp'],
                    $value['mac'],
                    -1
            );

            $to_db->insert($smartdata);
        }

        echo "Copy finished\n";
        echo "________________________________________________\n";

    }
}

$series = new Series (
                    "1.1",
                    "2224724260",       // unit
                    "75287665",         // x
                    "696317931",        // y
                    "30101",            // z
                    "1",                // r
                    "1517191200000000", // t0 (epoch in microseconds)
                    "1517882399000000"  // t1 (epoch in microseconds)
        );

//Copy::copy($series);